Package ru.bitel.bgbilling.kernel.contract.api.common.event

# Enum Class ContractModifiedModuleEvent.ModifiedModuleType

java.lang.Object
java.lang.Enum<ContractModifiedModuleEvent.ModifiedModuleType>
ru.bitel.bgbilling.kernel.contract.api.common.event.ContractModifiedModuleEvent.ModifiedModuleType

All Implemented Interfaces:
  `Serializable`, `Comparable<ContractModifiedModuleEvent.ModifiedModuleType>`, `Constable`

Enclosing class:
  `ContractModifiedModuleEvent`

public static enum ContractModifiedModuleEvent.ModifiedModuleType extends Enum<ContractModifiedModuleEvent.ModifiedModuleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDED`
  `REMOVED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractModifiedModuleEvent.ModifiedModuleType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContractModifiedModuleEvent.ModifiedModuleType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDED

    public static final ContractModifiedModuleEvent.ModifiedModuleType ADDED

  - ### REMOVED

    public static final ContractModifiedModuleEvent.ModifiedModuleType REMOVED

- ## Method Details

  - ### values

    public static ContractModifiedModuleEvent.ModifiedModuleType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContractModifiedModuleEvent.ModifiedModuleType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null